
Katello - Bug #5523

available release versions should come from content view, not library environment

05/01/2014 01:20 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Subscriptions   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112759 Red Hat JIRA:  

Pull request:    

Description

Current code calls environment.available_releases

This will impact both systems and activation keys

Associated revisions

Revision 980ada58 - 06/19/2014 01:08 PM - Eric Helms

Fixes #5523: Content host available releases are now calculated based on content view.

Revision f6efc613 - 06/19/2014 01:57 PM - Eric Helms

Merge pull request #4256 from ehelms/fixes-5523

Fixes #5523: Content host available releases are now calculated based on...

History

#1 - 06/04/2014 04:06 PM - Eric Helms

- Target version set to 45

- translation missing: en.field_release set to 13

- Triaged changed from No to Yes

#2 - 06/12/2014 03:18 AM - Eric Helms

- Status changed from New to Assigned

- Assignee set to Eric Helms

- Difficulty set to easy

#3 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48

#4 - 06/19/2014 02:52 PM - Eric Helms

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:980ada58d088fdbb39ab7abe1975a2dad67a5fef.

#5 - 06/24/2014 03:55 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112759
